Bug 856937 - Ganglia new version
Ganglia new version
Status: CLOSED NOTABUG
Product: Fedora EPEL
Classification: Fedora
Component: ganglia (Show other bugs)
el6
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kostas Georgiou
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-13 03:46 EDT by Christopher Meng
Modified: 2013-07-21 23:31 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-21 23:31:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christopher Meng 2012-09-13 03:46:05 EDT
Can someone update the package in epel?

its too old.

Thanks!
Comment 1 joshua 2013-01-28 16:25:57 EST
See BZ # 868424 ... already exists in Fedora 18 so it should be easy.
Comment 2 Christopher Meng 2013-01-28 19:34:16 EST
(In reply to comment #1)
> See BZ # 868424 ... already exists in Fedora 18 so it should be easy.

F18 != EPEL
Comment 3 joshua 2013-01-28 19:37:44 EST
Not saying that is, but the packages are there and ripe for the taking.
Comment 4 Christopher Meng 2013-01-28 19:39:59 EST
I know it's "there",but this doesn't mean I can yum install ganglia" and get that version.

I still can get old 3.1.7 not this one.
Comment 5 joshua 2013-01-28 19:47:41 EST
Again, I'm not assuming that one is the same as the other.  I include this note to the package owner of the EPEL side; the hard work is already finished due to the Fedora side having gotten to the update first.
Comment 6 Christopher Meng 2013-01-28 21:56:45 EST
Well,

I've checked the bodhi and found that ganglia for f18 has been pushed since 1/8.

Today is 1/29 in UTC+8, well, I don't think ganglia is a hard-to-maintain one. But nothing happened, in fact I'll wait for this update in EPEL, not f18, because f18 one is useless for me. I can use srpm to rebuild, but I don't want to do this.

It seems the epel maintainer of this package is dead.
Comment 7 Kostas Georgiou 2013-02-06 04:36:32 EST
Quoting from the EPEL policy:

The packages in the repository should, if possible, be maintained in similar ways to the Enterprise Packages they were built against. In other words: have a mostly stable set of packages that normally does not change at all and only changes if there are good reasons for changes. This is the spirit of a stable enterprise environment.

The changes that cant be avoided get routed into different release trees. Only updates that fix important bugs (say: data-corruption, security problems, really annoying bugs) go to a testing branch for a short time period and then are pushed to the stable branch; those people that sign and push the EPEL packages to the public repo will skim over the list of updated packages for the stable repo to make sure that sure the goal "only important updates for the stable branch" is fulfilled.

I can provide a more recent package under repos.fedorapeople.org I guess if demand is high but I can not change the existing 3.1.7 version unless there is a very good reason.
Comment 8 joshua 2013-02-06 15:05:02 EST
That makes sense, thank you for the explanation.

I'd love to see the newer packages available for RHEL6 though, if you've a mind to put them up somewhere.

Thank you!

Note You need to log in before you can comment on or make changes to this bug.